"use strict";
// Triggers error if array doesn't have enough items.
// startingIndex can be negative or positive.
Object.defineProperty(exports, "__esModule", { value: true });
function errorIfArrayTooShortToMeetAdjacentItemsRequest(startingIndex, numberRequested, array) {
    if (startingIndex < 0)
        startingIndex = (array.length + startingIndex);
    if ((startingIndex + numberRequested) > array.length) {
        throw new Error('the array does not have enough items to fulfill your' +
            ' request');
    }
}
exports.errorIfArrayTooShortToMeetAdjacentItemsRequest = errorIfArrayTooShortToMeetAdjacentItemsRequest;
